libogg documentation | libogg version 1.25 - 20000615

# oggpack_adv_huff

declared in "ogg/ogg.h";

This function advances the location pointer by the specified number of bits without reading any data.

This also checks for buffer overflow.

    int oggpack_adv_huff(oggpack_buffer *b,int bits);

### Parameters

b
  Pointer to the current oggpack_buffer.
bits
  Number of bits to advance.

### Return Values

> - -1 on buffer overflow.
> - 0 in all other cases.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg version 1.25 - 20000615